application=
{
	description="FLV Playback Sample",
	name="flvplayback",
	protocol="dynamiclinklibrary",
	mediaFolder="/var/lib/crtmpserver/mediaFolder",
	aliases=
	{
		"simpleLive",
		"vod",
		"live",
		"WeeklyQuest",
		"SOSample",
		"oflaDemo",
	},
	validateHandshake=true,
	keyframeSeek=true,
	seekGranularity=1.5, --in seconds, between 0.1 and 600
	clientSideBuffer=12, --in seconds, between 5 and 30
	--generateMetaFiles=true, --this will generate seek/meta files on application startup
	--renameBadFiles=false,
	authentication=
	{
		rtmp=
		{
			type="adobe",
			encoderAgents=
			{
				"FMLE/3.0 (compatible; FMSc/1.0)",
			},
			usersFile="/etc/crtmpserver/conf.d/users.lua"
		},
		rtsp=
		{
			usersFile="/etc/crtmpserver/conf.d/users.lua"
		}
	},
	acceptors =
	{
		{
			ip="0.0.0.0",
			port=6666,
			protocol="inboundLiveFlv",
			waitForMetadata=true,
		},
		{
			ip="0.0.0.0",
			port=9999,
			protocol="inboundTcpTs"
		},
		--[[{
			ip="0.0.0.0",
			port=7654,
			protocol="inboundRawHttpStream",
			crossDomainFile="/tmp/crossdomain.xml"
		},
		{
			ip="0.0.0.0",
			port=554,
			protocol="inboundRtsp"
		},]]--
	},
	externalStreams =
	{
		-- Example streams
		--[[{
			uri="mms://channels.webradio.antenne.de/chillout",
			localStreamName="myMms",
			enableAAC=false,
			enableMP3=true
		},
		{
			uri="rtsp://a1956.l1857055475.c18570.g.lq.akamaistream.net/D/1956/18570/v0001/reflector:55475",
			localStreamName="test_aaa",
		},
		{
			uri="rtsp://0.0.0.0:2323/test.sdp",
			localStreamName="stream-1-udp"
		},
		{
			uri="rtsp://stream01.qt.slamtv.true.nl/slamtv.sdp",
			localStreamName="stream0-udp"
		},
		{
			uri="rtsp://stream01.qt.slamtv.true.nl/slamtv.sdp",
			localStreamName="stream0-tcp",
			forceTcp=true
		},
		{
			uri="rtmp://10.0.1.15/vod/mp4:test_mp4",
			localStreamName="stream1"
		},
		{
			uri="rtmp://10.0.1.15/vod/test_flv",
			localStreamName="stream2"
		},
		{
			uri="rtsp://media-us-2.soundreach.net/slcn_lifestyle.sdp",
			localStreamName="stream3",
			forceTcp=true
		},
		{
			uri="rtsp://82.177.67.61/axis-media/media.amp",
			localStreamName="stream4",
			forceTcp=false
		},
		{
			uri="http://v13.nonxt6.c.youtube.com/videoplayback?ip=0.0.0.0&sparams=id%2Cexpire%2Cip%2Cipbits%2Citag%2Calgorithm%2Cburst%2Cfactor%2Coc%3AU0dXSlFSVl9FSkNNN19JTFpF&algorithm=throttle-factor&itag=34&ipbits=0&burst=40&sver=3&expire=1285178400&key=yt1&signature=548764ECB414E3CA08BDD414F4B633853F9051AC.D8FFF913C9B3BF1C339BD1A60A77C5D1790775EE&factor=1.25&id=bcdad173a3ba8daa&redirect_counter=1",
			localStreamName="stream5",
		}
		{
			uri="rtmp://edge01.fms.dutchview.nl/botr/bunny",
			localStreamName="stream6",
			emulateUserAgent="MAC 10,1,82,76",
		}
		{
			uri="rtmp://edge01.fms.dutchview.nl/botr/bunny",
			localStreamName="stream6",
			swfUrl="http://www.example.com/example.swf";
			pageUrl="http://www.example.com/";
			emulateUserAgent="MAC 10,1,82,76",
		}]]--
	},
}